Subject: bug#30144: [PATCH] doc: Document (ice-9 match) macros.

From: Mark H Weaver <[email-masked]>
Date: Fri, 16 Mar 2018 00:33:16 -0400

Mark H Weaver <[email-masked]> writes:

> Arun Isaac <[email-masked]> writes:
>> +@deffn {Scheme Syntax} match-lambda exp clause1 clause2 @dots{}
>> +Create a procedure of one argument that matches its argument against
>> +each clause.
>
> How about adding "and evaluates the corresponding expressions" or
> something like that?

It occurs to me that we should also document the return value.  How
about adding "and returns the result(s) of evaluating the corresponding
expressions"?

      Mark